require 'spec_helper'

describe Barcoder::Page do

  before(:each) do
    @page = Barcoder::Page.new(
      id: '1', url: '/pdf_url_path.pdf',
      thumbnails: {thumb: '/thumb_path.png', large: '/large_path.png'}
    )
  end

  it "url" do
    @page.url.should eq "#{Barcoder::Config.host}/pdf_url_path.pdf"

    @page.url(:thumb).should eq "#{Barcoder::Config.host}/thumb_path.png"
    @page.url(:large).should eq "#{Barcoder::Config.host}/large_path.png"
  end

end
