$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rspec'
require 'barcoder-client'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

RSpec.configure do |config|

  config.before(:suite) do
    Barcoder::Config.hydra = Typhoeus::Hydra.new
    Barcoder::Config.host = 'http://localhost:3000'
    Barcoder::Config.account_token = '123test'
  end

end
